Package org.eclipse.net4j.util.collection

# Class MapEntry<K,V>

java.lang.Object
org.eclipse.net4j.util.collection.MapEntry<K,V>

All Implemented Interfaces:
  `Map.Entry<K,V>`

public class MapEntry<K,V> extends Object implements Map.Entry<K,V>

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`MapEntry(Map.Entry<K,V> entry)`
`MapEntry(K key, V value)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`K`
`getKey()`
`V`
`getValue()`
`int`
`hashCode()`
`V`
`setValue(V value)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MapEntry

public MapEntry(K key, V value)

### MapEntry

public MapEntry(Map.Entry<K,V> entry)

## Method Details

### getKey

public K getKey()

Specified by:
  `getKey` in interface `Map.Entry<K,V>`

### getValue

public V getValue()

Specified by:
  `getValue` in interface `Map.Entry<K,V>`

### setValue

public V setValue(V value)

Specified by:
  `setValue` in interface `Map.Entry<K,V>`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `Map.Entry<K,V>`
Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Map.Entry<K,V>`
Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`